diff options
Diffstat (limited to 'bin')
-rwxr-xr-x | bin/jenkins_master_wrapper.sh | 10 |
1 files changed, 8 insertions, 2 deletions
diff --git a/bin/jenkins_master_wrapper.sh b/bin/jenkins_master_wrapper.sh index 9301275f..71f9b432 100755 --- a/bin/jenkins_master_wrapper.sh +++ b/bin/jenkins_master_wrapper.sh @@ -55,9 +55,15 @@ ssh -o "BatchMode = yes" -p $PORT $NODE_NAME /bin/true RESULT=$? # abort job if host is down if [ $RESULT -ne 0 ] ; then - echo "$(date -u) - $NODE_NAME seems to be down, sleeping 15min before aborting this job." + # + # this should abort (=no success, but also no status change mails…) but as + # this somehow doesnt work anymore, rather error out to see the breakage… + # + #echo "$(date -u) - $NODE_NAME seems to be down, sleeping 15min before aborting this job." + echo "$(date -u) - $NODE_NAME seems to be down, exiting with error." sleep 15m - exec /srv/jenkins/bin/abort.sh + exit 1 + #exec /srv/jenkins/bin/abort.sh fi set -e # |